Skip to main content
GET
Read an event-bound catering proposal

Authorizations

X-Catering-Token
string
header
required

Event and location scoped customer catering capability. Never place in query parameters.

Path Parameters

locationId
string
required
Required string length: 1 - 128
eventId
string
required
Required string length: 1 - 128

Response

Current proposal and published catalog choices.

cartId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
eventId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
locationId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
eventRevision
integer
required
Required range: 0 <= x <= 9007199254740991
cartVersion
integer
required
Required range: 0 <= x <= 9007199254740991
state
enum<string>
required
Available options:
unsent,
awaiting_restaurant_approval,
ready,
confirmed,
unavailable
editable
boolean
required
items
object[]
required
Maximum array length: 100
preferences
string
required
menuReleases
object[] | null
required
Maximum array length: 1000
requiresCatalogReview
boolean
required
staffReviewItems
object[]
required
currency
string | null
required
Pattern: ^[A-Z]{3}$
choices
object[]
required
approvedQuoteId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$